CRM

Add a record to the CRM (and optionally a list)

POST
/v1/crm/records/add

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/crm/records/add" \  -H "Content-Type: application/json" \  -d '{    "display": {      "name": "string"    },    "entityId": "string",    "entityType": "lo",    "link": {      "entityId": "string",      "source": "mm"    }  }'
{
  "data": {
    "added": true,
    "member": {
      "addedAt": 0,
      "display": {
        "branchName": "string",
        "branchNmlsId": "string",
        "cbsaCode": "string",
        "city": "string",
        "companyName": "string",
        "companyNmlsId": "string",
        "contactCheckedAt": 0,
        "county": "string",
        "countyFips": "string",
        "location": "string",
        "name": "string",
        "state": "string",
        "subtitle": "string",
        "units": 0,
        "volume": 0,
        "zip": "string"
      },
      "entityId": "string",
      "entityType": "lo",
      "lastActivityAt": 0,
      "overrides": {
        "office": {
          "city": "string",
          "key": "string",
          "lat": 0,
          "lon": 0,
          "name": "string",
          "state": "string"
        },
        "property1": "string",
        "property2": "string"
      },
      "ownerUserId": "string"
    }
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}